Skip to main content

Posts

Showing posts from November, 2016

Installing EDUP EP-AC1605 on Ubuntu Linux (14.04 LTS)

I recently bought a few EDUP EP-AC1605 USB 3.0 AC1200M Dual Band WiFi Adapters for a project and then had a few problems getting them installed on Linux.



I got them from AliExpress.com here:

https://www.aliexpress.com/item/EDUP-USB-3-0-Wireless-Wifi-Adapter-Dual-Band-2-4GHz-5GHz-1200Mbps-802-11AC-IEEE/32655418931.html?spm=2114.01010208.8.3.pkUTZH

The CD that came with them was pretty much useless for recent Linux distros.

The readme says:
Supporting Kernel:
===================
linux kernel 2.4 and 2.6 series.
Tested in Redhat 7.3 or later.

It turns out that the MediaTek chipset they use MT7612U <- the U=USB
has downloadable Linux driver src but it is the same as the CD version useless for anything with a more recent kernel than 2.6.

After a lot of searching I found a lot of people who gave up and returned the device.

After realising that Netgear used the same chipset in their A6210 I did some more searching and
I eventually found a solution here:  https://www.reddit.com/r/linux/comm…